# SolrResponse::setParseMode

(PECL solr >= 0.9.2)

SolrResponse::setParseMode — Sets the parse mode

### Description

public SolrResponse::setParseMode ([ int `$parser_mode` = 0 ] ) : bool

Sets the parse mode.

### Parameters

`parser_mode`

  SolrResponse::PARSE_SOLR_DOC parses documents in SolrDocument instances. SolrResponse::PARSE_SOLR_OBJ parses document into SolrObjects.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.